/*
 * Segment 8 Parametrierung und Konfiguration, SWE 8.2 Parametrierung
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.puk.param.hierarchie;

import de.bsvrz.dav.daf.main.ClientDavInterface;
import de.bsvrz.sys.funclib.application.StandardApplication;
import de.bsvrz.sys.funclib.application.StandardApplicationRunner;
import de.bsvrz.sys.funclib.commandLineArgs.ArgumentList;

/**
 * Simple Testanwendung zur Prüfung der Hierarchie innerhalb der Konfiguration.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
class HierarchiePruefer implements StandardApplication {

	/**
	 * Hauptfunktion der Applikation.
	 *
	 * @param args
	 *            die Argumente der Kommandozeile
	 */
	public static void main(final String[] args) {
		StandardApplicationRunner.run(new HierarchiePruefer(), args);
	}

	@SuppressWarnings("unused")
	@Override
	public void initialize(final ClientDavInterface connection) throws Exception {
		new TypHierarchie(connection);
		System.err.println("Hierarchie ist nicht zyklisch");
		System.exit(0);
	}

	@Override
	public void parseArguments(final ArgumentList argumentList) throws Exception {
		// er werden keine Argumente ausgewertet
	}
}
