/*
 * Segment 8 Parametrierung und Konfiguration, SWE 8.2 Parametrierung
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.puk.param.simulation;

import java.util.EventListener;

import de.bsvrz.dav.daf.main.config.SystemObject;

/**
 * Schnittstelle für die Realisierung eines Listeners, der Benachrichtigt wird,
 * wenn sich der Status einer Simulation geändert hat.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
interface SimulationsStatusHandler extends EventListener {

	/**
	 * eine Simulation hat einen neuen Status.
	 *
	 * @param simulation
	 *            die Simulation, deren Status sich geändert hat
	 * @param status
	 *            der neue Status
	 */
	void neuerStatus(SystemObject simulation, SimulationsStatus status);
}
